# DependentSourceSet

API Documentation: | `DependentSourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A source set that depends on one or more `NativeDependencySet`s to be built.

### Properties

Property | Description
`libs` | Incubating The libraries that this source set requires.
`source` | Incubating The source files.

### Property details

#### ``Collection`<?>` `libs` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The libraries that this source set requires.

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.

### Script blocks

No script blocks

### Methods

Method | Description
`dependency(dep)` | Incubating Add a dependency to this source set.
`lib(library)` | Incubating Adds a library that this source set requires. This method accepts the following types:
`source(config)` | Incubating Configure the sources

### Method details

#### `void` `dependency`(``Map`<?, ?>` dep)

Note: This method is incubating and may change in a future version of Gradle.

Add a dependency to this source set.

#### `void` `lib`(`Object` library)

Note: This method is incubating and may change in a future version of Gradle.

Adds a library that this source set requires. This method accepts the following types:

- A `Library`
- A `LibraryBinary`
- A `NativeDependencySet`

#### `void` `source`(``Action`<? super `SourceDirectorySet`>` config)

Note: This method is incubating and may change in a future version of Gradle.

Configure the sources